import com.urbancode.air.CommandHelper

final def isWindows = (System.getProperty('os.name') =~ /(?i)windows/).find()
out = System.out;

final def workDir = new File('.').canonicalFile
final def props = new Properties();
final def inputPropsFile = new File(args[0]);
final def inputPropsStream = null;
try {
    inputPropsStream = new FileInputStream(inputPropsFile);
    props.load(inputPropsStream);
}
catch (IOException e) {
    throw new RuntimeException(e);
}


final def cmdHelper = new CommandHelper(workDir);
def asadmin = (props['path']!=null?(props['path']):"") +  (isWindows ? "asadmin.bat" : "asadmin");


def cmd = props['cmd'];
def argVar = props['args'];
def args = null;

if (argVar && argVar.trim() != "") {
    args = argVar.split('\n');
}

def commandArgs = [asadmin, cmd];

args.each {
   commandArgs << it;
}
    

cmdHelper.runCommand("Executing asadmin", commandArgs);
